package com.rjconsultores.ventaboletos.vo.impressaofiscal;

import java.util.ArrayList;
import java.util.List;

public class AgpImpressoraReducaoZVO {

	private String numserie20;
	private String datamov;

	private List<ImportacionFiscalReducaoZVO> itens;

	public AgpImpressoraReducaoZVO() {
	}

	public AgpImpressoraReducaoZVO(String numserie20, String datamov) {
		super();
		this.numserie20 = numserie20;
		this.datamov = datamov;
		this.itens = new ArrayList<ImportacionFiscalReducaoZVO>();
	}

	public String getNumserie20() {
		return numserie20;
	}

	public void setNumserie20(String numserie20) {
		this.numserie20 = numserie20;
	}

	public String getDatamov() {
		return datamov;
	}

	public void setDatamov(String datamov) {
		this.datamov = datamov;
	}

	public List<ImportacionFiscalReducaoZVO> getItens() {
		return itens;
	}

	public void setItens(List<ImportacionFiscalReducaoZVO> itens) {
		this.itens = itens;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((datamov == null) ? 0 : datamov.hashCode());
		result = prime * result + ((numserie20 == null) ? 0 : numserie20.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		AgpImpressoraReducaoZVO other = (AgpImpressoraReducaoZVO) obj;
		if (datamov == null) {
			if (other.datamov != null)
				return false;
		} else if (!datamov.equals(other.datamov))
			return false;
		if (numserie20 == null) {
			if (other.numserie20 != null)
				return false;
		} else if (!numserie20.equals(other.numserie20))
			return false;
		return true;
	}

}
